<button (click)="openSearchOverlay()" mat-icon-button>
  <mat-icon>search</mat-icon>
</button>

<ng-template #overlayTarget></ng-template>

<ng-template #overlayTpl>
  <moe-simple-search-overlay (overlayClose)="overlayClosed()" />
</ng-template>
